Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.nls
Interface RemoteNLSLibraryManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteNLSLibraryManager

extends java.rmi.Remote

Method Summary
`RemoteCatalogNLSLibrary` | `getCatalogNLSLibrary(java.lang.String catalogPath, int catalogVersionNumber, java.lang.String user)` Gets a Catalog NLS Library.
`RemoteReportNLSLibrary` | `getReportNLSLibrary(java.lang.String reportPath, int reportVersionNumber, java.lang.String user)` Gets a Report NLS Library.

Method Detail

### getReportNLSLibrary

    RemoteReportNLSLibrary getReportNLSLibrary(java.lang.String reportPath,
                                               int reportVersionNumber,
                                               java.lang.String user)
                                               throws java.rmi.RemoteException

  Gets a Report NLS Library.

  Parameters:
    `reportPath` - The path of report.
    `reportVersionNumber` - The version number of report.
    `user` - The user name who log onto the JReport server.
  Returns:
    A RemoteReportNLSLibrary.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCatalogNLSLibrary

    RemoteCatalogNLSLibrary getCatalogNLSLibrary(java.lang.String catalogPath,
                                                 int catalogVersionNumber,
                                                 java.lang.String user)
                                                 throws java.rmi.RemoteException

  Gets a Catalog NLS Library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
    `user` - The user name who log onto the JReport server.
  Returns:
    A RemoteCatalogNLSLibrary.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD